import { useOutlet } from "react-router";
import { useState } from "react";
import Header from "./components/Header";
import Footer from "./components/Footer";
import { AnimatePresence } from "motion/react";
import { motion } from "motion/react";
import { useLocation } from "react-router";

const AnimatedOutlet = () => {
  const o = useOutlet();
  const [outlet] = useState(o);

  return <div>{outlet}</div>;
};

function App() {
  const location = useLocation();
  return (
      <div className="flex flex-col min-h-screen">
        <Header />
        <main className="overflow-hidden flex flex-grow transition-color-mode md:p-7 2xl:p-12 bg-surface dark:bg-surface-dark">
          <AnimatePresence mode="popLayout">
            <motion.div
              className="w-full ovwerflow-hidden"
              key={location.pathname}
              initial={{ opacity: 0, x: 50 }}
              animate={{ opacity: 1, x: 0 }}
              exit={{ opacity: 0, x: 50 }}
            >
              <AnimatedOutlet />
            </motion.div>
          </AnimatePresence>
        </main>
        <Footer />
      </div>
  );
}

export default App;
